#pragma once

#include <cstdint>
#include <string>
#include <memory.h>

struct ProfinetParameter
{
    ProfinetParameter(uint32_t Index, std::string Name, uint8_t * pData, uint16_t Length) :
                      index(Index), 
                      name(Name), 
                      data_ptr(pData), 
                      length(Length) {};
                      
    const std::string name;               /// Имя параметра
    const uint32_t    index;              /// Идентфикатор параметра
    uint8_t * const   data_ptr;           /// указатель на данные параметра
    const uint16_t    length;             /// длина параметра в байтах
};
